> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Available Tools

> Get available tools for an agent.



## OpenAPI

````yaml https://api.mrassistant.ai/openapi.json get /agents/{agent_id}/tools/available
openapi: 3.1.0
info:
  title: Backend - Multilingual Voice Agent System
  description: FastAPI backend for multilingual voice agents with tool use
  version: 1.0.0
servers: []
security: []
paths:
  /agents/{agent_id}/tools/available:
    get:
      tags:
        - agents
      summary: Get Available Tools
      description: Get available tools for an agent.
      operationId: get_available_tools_agents__agent_id__tools_available_get
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Agent Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ToolRegistryItem'
                title: >-
                  Response Get Available Tools Agents  Agent Id  Tools Available
                  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ToolRegistryItem:
      properties:
        tool_key:
          type: string
          title: Tool Key
        connected:
          type: boolean
          title: Connected
        enabled_for_agent:
          type: boolean
          title: Enabled For Agent
        display_name:
          type: string
          title: Display Name
        ui_manifest:
          additionalProperties: true
          type: object
          title: Ui Manifest
        scopes:
          items:
            type: string
          type: array
          title: Scopes
        connect_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Connect Url
      type: object
      required:
        - tool_key
        - connected
        - enabled_for_agent
        - display_name
        - ui_manifest
        - scopes
      title: ToolRegistryItem
      description: Tool registry item model.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````